<?php 

$options   = [];
$options[] = array(
	'id'      => 'penci_header_pb_mobile_menu_desc',
	'label'   => __('Please go to Appearance → Customize → Logo & Header → Vertical Mobile Navigation to configure the mobile menu.','soledad' ),
	'type'    => 'soledad-fw-alert',
	'default' => 'notice-bg'
);
$options[] = array(
	'id'        => 'penci_header_pb_mobile_menu_btn_style',
	'default'   => 'customize',
	'transport' => 'postMessage',
	'sanitize'  => 'penci_sanitize_choices_field',
	'type'      => 'soledad-fw-select',
	'label'     => __( 'Mobile Button Pre-define Style', 'soledad' ),
	'choices'   => [
		'customize' => __('Default','soledad' ),
		'style-4'   => __('Filled','soledad' ),
		'style-1'   => __('Bordered','soledad' ),
		'style-2'   => __('Link','soledad' ),
	]
);
$options[] = array(
	'id'        => 'penci_header_pb_mobile_menu_color',
	'default'   => '',
	'transport' => 'postMessage',
	'sanitize'  => 'penci_sanitize_textarea_field',
	'type'      => 'soledad-fw-color',
	'label'     => esc_html__( 'Color', 'soledad' ),
);
$options[] = array(
	'id'        => 'penci_header_pb_mobile_menu_hv_color',
	'default'   => '',
	'transport' => 'postMessage',
	'sanitize'  => 'penci_sanitize_textarea_field',
	'type'      => 'soledad-fw-color',
	'label'     => esc_html__( 'Hover Color', 'soledad' ),
);
$options[] = array(
	'id'        => 'penci_header_pb_mobile_menu_btnbstyle',
	'default'   => '',
	'transport' => 'postMessage',
	'sanitize'  => 'penci_sanitize_choices_field',
	'type'      => 'soledad-fw-select',
	'label'     => __( 'Button Borders Style', 'soledad' ),
	'choices'   => [
		''       => __('Default','soledad' ),
		'none'   => __('None','soledad' ),
		'dotted' => __('Dotted','soledad' ),
		'dashed' => __('Dashed','soledad' ),
		'solid'  => __('Solid','soledad' ),
		'double' => __('Double','soledad' ),
	],
);
$options[] = array(
	'id'        => 'penci_header_pb_mobile_menu_bcolor',
	'default'   => '',
	'transport' => 'postMessage',
	'sanitize'  => 'sanitize_hex_color',
	'type'      => 'soledad-fw-color',
	'label'     => esc_html__( 'Menu Borders Color', 'soledad' ),
);
$options[] = array(
	'id'        => 'penci_header_pb_mobile_menu_bhcolor',
	'default'   => '',
	'transport' => 'postMessage',
	'sanitize'  => 'sanitize_hex_color',
	'type'      => 'soledad-fw-color',
	'label'     => esc_html__( 'Menu Hover Borders Color', 'soledad' ),
);
$options[] = array(
	'id'        => 'penci_header_pb_mobile_menu_bgcolor',
	'default'   => '',
	'transport' => 'postMessage',
	'sanitize'  => 'sanitize_hex_color',
	'type'      => 'soledad-fw-color',
	'label'     => esc_html__( 'Menu Background Color', 'soledad' ),
);
$options[] = array(
	'id'        => 'penci_header_pb_mobile_menu_bghcolor',
	'default'   => '',
	'transport' => 'postMessage',
	'sanitize'  => 'sanitize_hex_color',
	'type'      => 'soledad-fw-color',
	'label'     => esc_html__( 'Menu Hover Background Color', 'soledad' ),
);
$options[] = array(
	'id'        => 'penci_header_pb_mobile_menu_btnspacing',
	'default'   => '',
	'transport' => 'postMessage',
	'sanitize'  => 'penci_sanitize_choices_field',
	'type'      => 'soledad-fw-box-model',
	'label'     => __( 'Mobile Button Spacing', 'soledad' ),
	'choices'   => array(
		'margin'        => array(
			'margin-top'    => '',
			'margin-right'  => '',
			'margin-bottom' => '',
			'margin-left'   => '',
		),
		'padding'       => array(
			'padding-top'    => '',
			'padding-right'  => '',
			'padding-bottom' => '',
			'padding-left'   => '',
		),
		'border'        => array(
			'border-top'    => '',
			'border-right'  => '',
			'border-bottom' => '',
			'border-left'   => '',
		),
		'border-radius' => array(
			'border-radius-top'    => '',
			'border-radius-right'  => '',
			'border-radius-bottom' => '',
			'border-radius-left'   => '',
		),
	),
);
$options[] = array(
	'id'        => 'penci_header_pb_mobile_menu_spacing',
	'default'   => '',
	'transport' => 'postMessage',
	'sanitize'  => 'penci_sanitize_choices_field',
	'type'      => 'soledad-fw-box-model',
	'label'     => __( 'Element Spacing', 'soledad' ),
	'choices'   => array(
		'margin'  => array(
			'margin-top'    => '',
			'margin-right'  => '',
			'margin-bottom' => '',
			'margin-left'   => '',
		),
		'padding' => array(
			'padding-top'    => '',
			'padding-right'  => '',
			'padding-bottom' => '',
			'padding-left'   => '',
		),
	),
);
$options[] = array(
	'id'        => 'penci_header_pb_mobile_menu_class',
	'default'   => '',
	'transport' => 'postMessage',
	'sanitize'  => 'penci_sanitize_textarea_field',
	'type'      => 'soledad-fw-text',
	'label'     => esc_html__( 'Custom CSS Class', 'soledad' ),
);

return $options;
